Examples

POST /katello/api/activation_keys
{
  "organization_id": 114267492,
  "activation_key": {
    "name": "limited Key",
    "unlimited_hosts": false
  }
}
422
{
  "message": "Validation failed: Max hosts cannot be nil",
  "errors": {
    "max_hosts": [
      "cannot be nil"
    ]
  }
}

Params

Param name Description
name
required

name

Validations:

  • String

organization_id
required

organization identifier

Validations:

  • Must be a number.

description
optional

description

Validations:

  • String

max_hosts
optional

maximum number of registered content hosts

Validations:

  • Must be a number.

unlimited_hosts
optional

can the activation key have unlimited hosts

Validations:

  • Must be one of: true, false, 1, 0.

release_version
optional

content release version

Validations:

  • String

service_level
optional

service level

Validations:

  • String

purpose_usage
optional

Sets the system purpose usage

Validations:

  • String

purpose_role
optional

Sets the system purpose usage

Validations:

  • String

content_view_environments
optional

Comma-separated list of content view environment labels to be associated with the activation key, in the format of ‘lifecycle_environment_label/content_view_label’. Ignored if content_view_environment_ids is specified. Requires allow_multiple_content_views setting to be on.

Validations:

  • Must be an array of any type

content_view_environment_ids
optional

Array of content view environment ids to be associated with the activation key. Requires allow_multiple_content_views setting to be on.

Validations:

  • Must be an array of any type